/* jshint node: true */
'use strict';

module.exports = {
  name: 'ember-sri',
  included: function(app) {
    this._super.included.apply(this, arguments);
    this.options = app.options.SRI || {};
  },
  postprocessTree: function(type, tree) {
    var options = this.options;
    if (type === 'all' && options.enabled) {
      return require('broccoli-sri-hash')(tree, options);
    } else {
      return tree;
    }
  }
};
